/**
 * @author Radek Oslejsek
 */
public class Person
{
    private String name = "Radek Oslejsek";
    
    private int age = 18;
    
    /**
     * Nastavuje jmeno.
     * 
     * @param name New name. Empty name is ignored.
     */
    public void setName(String name) {
        if (!name.equals("")) { // name != ""
            this.name = name;
        } 
    }
    
    /**
     * Vrati aktualni jmeno.
     * 
     * @return aktualni jmeno
     */
    public String getName() {
        return name;
    }
    
    /**
     * Nastavu vek.
     * 
     * @param newAge Vek k nastaveni. Musi byt >= 0
     * @return true on succsess, false otherwise
     */
    public boolean setAge(int newAge) {
        if (newAge > 0) {
            age = newAge;    
            return true;
        } else {
            return false;
        }
    }
    
    public int getAge() {
        return age;
    }
    
    public void writeInfo() {
        System.out.println("Name: " + name + ", age: " + age);
    }
    
    public void writeInfo(boolean toUpperCase) {
        if (toUpperCase) {
            String output = "Name: " + name + ", age: " + age;
            //String uOutput = output.toUpperCase();
            //System.out.println(uOutput);
            System.out.println(output.toUpperCase());            
        } else {
            writeInfo();
        }
    }
}
